org.apache.hadoop.lib.wsrs

## Class IntegerParam

- java.lang.Object
- - org.apache.hadoop.lib.wsrs.Param<Integer>
  - - org.apache.hadoop.lib.wsrs.IntegerParam

-     @InterfaceAudience.Private
      public abstract class IntegerParam
      extends Param<Integer>

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.lib.wsrs.Param

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerParam(String name, Integer defaultValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getDomain()`
    `protected Integer` | `parse(String str)`

    - ### Methods inherited from class org.apache.hadoop.lib.wsrs.Param

      `getName, parseParam, toString, value`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerParam

          public IntegerParam(String name,
                              Integer defaultValue)

  - ### Method Detail

    - #### parse

          protected Integer parse(String str)
                           throws Exception

      Specified by:
        `parse` in class `Param<Integer>`
      Throws:
        `Exception`

    - #### getDomain

          protected String getDomain()

      Specified by:
        `getDomain` in class `Param<Integer>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.